Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.event
Interface PropertyListener

All Superinterfaces:
  EventListener, ProtegeSlotListener, edu.stanford.smi.protege.event.SlotListener

All Known Implementing Classes:
  PropertyAdapter

    public interface PropertyListener

extends ProtegeSlotListener

A listener for property-related events. Note that this currently extends ProtegeSlotListener for technical reasons, but none of the inherited methods from SlotListener should be used in application code.

Author:
  Holger Knublauch

Method Summary
`void` | `subpropertyAdded(RDFProperty property, RDFProperty subproperty)` Called after a subproperty has been added to a property.
`void` | `subpropertyRemoved(RDFProperty property, RDFProperty subproperty)` Called after a subproperty has been removed from a property.
`void` | `superpropertyAdded(RDFProperty property, RDFProperty superproperty)` Called after a superproperty has been added to a property.
`void` | `superpropertyRemoved(RDFProperty property, RDFProperty superproperty)` Called after a superproperty has been removed from a property.
`void` | `unionDomainClassAdded(RDFProperty property, RDFSClass rdfsClass)` Called after a class has been added to the union domain of a property.
`void` | `unionDomainClassRemoved(RDFProperty property, RDFSClass rdfsClass)` Called after a class has been removed from the union domain of a property.

Methods inherited from interface edu.stanford.smi.protegex.owl.model.event.ProtegeSlotListener
`directSubslotAdded, directSubslotMoved, directSubslotRemoved, directSuperslotAdded, directSuperslotRemoved, templateSlotClsAdded, templateSlotClsRemoved`

Method Detail

### subpropertyAdded

    void subpropertyAdded(RDFProperty property,
                          RDFProperty subproperty)

  Called after a subproperty has been added to a property.

  Parameters:
    `property` - the property where the subproperty was added
    `subproperty` - the new subproperty

### subpropertyRemoved

    void subpropertyRemoved(RDFProperty property,
                            RDFProperty subproperty)

  Called after a subproperty has been removed from a property.

  Parameters:
    `property` - the property where the subproperty was removed
    `subproperty` - the old subproperty

### superpropertyAdded

    void superpropertyAdded(RDFProperty property,
                            RDFProperty superproperty)

  Called after a superproperty has been added to a property.

  Parameters:
    `property` - the property where the superproperty was added
    `superproperty` - the new superproperty

### superpropertyRemoved

    void superpropertyRemoved(RDFProperty property,
                              RDFProperty superproperty)

  Called after a superproperty has been removed from a property.

  Parameters:
    `property` - the property where the superproperty was removed
    `superproperty` - the old superproperty

### unionDomainClassAdded

    void unionDomainClassAdded(RDFProperty property,
                               RDFSClass rdfsClass)

  Called after a class has been added to the union domain of a property.

  Parameters:
    `property` - the property where the domain has changed
    `rdfsClass` - the domain class that was added

### unionDomainClassRemoved

    void unionDomainClassRemoved(RDFProperty property,
                                 RDFSClass rdfsClass)

  Called after a class has been removed from the union domain of a property.

  Parameters:
    `property` - the property where the domain has changed
    `rdfsClass` - the domain class that was removed

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.